16 回复

是否有导入语句:import Vue from ‘vue’

贴代码才能给你看啊,这样子是判断不了的

嗯 我试一下兼容 或者 提示使用谷歌浏览器

谢谢

vue不怎么兼容IE浏览器,可能你做一些兼容的工作。
所以就请用火狐或谷歌游览器吧

感谢大佬回复

之所以没贴代码= =是因为 没有报错, 不知道贴什么代码.

只是用ie打开显示空白

有初始化vue实例么

支持es5的浏览器都是支持vue的,ie9及以上版本、edge全版本都支持

image

有的 这是main.js 下半部分

这个好像没有 core-js全

在ie上运行是需要腻子的,装这俩包试试"core-js": “^2.6.5”,"@vue/cli-plugin-babel": “^3.3.0”,

需要在 main.js 的开头引入垫片

github.com

JasonBai007/vue-starter/blob/master/src/main.js#L3-L4

// 引入IE兼容垫片
import "babel-polyfill";
回到顶部